

C     Some stub routines for testing...

      SUBROUTINE idefn (index, pids, desc, size, coord)
      IMPLICIT NONE
      INTEGER index, desc, size, coord
      INTEGER pids (0 : size - 1)

C       Stub for testing.

        INCLUDE 'aclmem.inc'
	INTEGER acallo

	INTEGER i

	index = acallo (3 + size)
	MEM (index + 0) = desc
	MEM (index + 1) = size
	MEM (index + 2) = coord
	DO 10 i = 0, size - 1
	  MEM (index + 3 + i) = pids (i)
 10     CONTINUE

      END

      INTEGER FUNCTION icoord (index)

	INCLUDE 'aclmem.inc'

	icoord = MEM (index + 2)
      END

      SUBROUTINE iodefn (io, type, remote, corank, len)
      IMPLICIT NONE
      INTEGER io, type, remote, len
      INTEGER corank (0 : len - 1)

C       Stub for testing.

        INCLUDE 'aclmem.inc'
	INTEGER acallo

	INTEGER i

	io = acallo (3 + len)
	MEM (io + 0) = type
	MEM (io + 1) = remote
	MEM (io + 2) = len
	DO 10 i = 0, len - 1
	  MEM (io + 3 + i) = corank (i)
 10     CONTINUE

      END


